# Interface DataEncryptionManager

All Known Implementing Classes:
  `BasicDataEncryptionManager`

public interface DataEncryptionManager
A class which describes how data should be encrypted and decrypted

## Method Summary

Modifier and Type
Method
Description
`String`
`decryptData(byte[] encrypted)`
`byte[]`
`encryptData(String data)`

## Method Details

### encryptData

byte[] encryptData(String data) throws Exception

Parameters:
  `data` - - the data to be encrypted
Returns:
  the encrypted data
Throws:
  `Exception`

### decryptData

String decryptData(byte[] encrypted) throws Exception

Parameters:
  `encrypted` - - the data to be decrypted
Returns:
  the decrypted data
Throws:
  `Exception`